Subject: Re: bug#42002: Bug: Signal kill during build

From: Leo Famulari <[email-masked]>
Date: Mon, 22 Jun 2020 09:51:44 -0400

On Mon, Jun 22, 2020 at 03:47:08PM +0300, Efraim Flashner wrote:
> The signal 9 (killed) makes me think a C++ program killed. I checked
> wikipedia and it says the Banana Pi M3 has 2GB of RAM. Was there
> anything else running at the time? 'guix pull' can be resource
> intensive, especially on lower powered machines.

I think it should be possible with 2GB of RAM, if you limit the number
of concurrent builds.

For example, something like `guix pull --max-jobs=1`.

And I think the memory requirements should decrease with the recently
released Guile 3.0.3:

https://lists.gnu.org/archive/html/guile-devel/2020-06/msg00008.html